cayenne-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dzmitry Kazimirchyk (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CAY-1613) Missing dependency on commons.lang in thirdparty libs
Date Thu, 08 Sep 2011 07:49:08 GMT

    [ https://issues.apache.org/jira/browse/CAY-1613?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13100136#comment-13100136
] 

Dzmitry Kazimirchyk commented on CAY-1613:
------------------------------------------

Looked if we can avoid calling velocity functions that require commons-lang in SQLTemplate
queries but got ClassNotFoundException right on velocity runtime instance initialization.
So, yeah, that's a problem.
It seems like velocity since 1.5 version uses commons-lang pretty wide. Cayenne 3.1 switched
to velocity 1.6.3 from 1.4 which is used by Cayenne 3.0.x...

> Missing dependency on commons.lang in thirdparty libs
> -----------------------------------------------------
>
>                 Key: CAY-1613
>                 URL: https://issues.apache.org/jira/browse/CAY-1613
>             Project: Cayenne
>          Issue Type: Bug
>          Components: Core Library
>    Affects Versions: 3.1M2
>            Reporter: Dirk Lattermann
>            Priority: Minor
>
> The binary package cayenne-3.1M2.tar.gz is missing the jar file for apache-commons-lang
in the lib/third-party folder.
> This is apparently a new dependency when coming from 3.0.x to 3.1 due to the new dependency
on velocity.

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message